%define ver_major 2.24

%def_enable multiuser
%def_disable automount

Name: gnome-volume-manager
Version: %ver_major.0
Release: alt2

Summary: The GNOME Volume Manager
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-2.24.0-consolekit03.patch

%define dbus_ver 0.31
%define hal_ver 0.5.4
%define gtk_ver 2.6.0
%define control_center_ver 2.0

Requires: nautilus
Requires: hal >= %hal_ver
Requires: dbus >= %dbus_ver
Requires: gnome-control-center >= 2.0

BuildPreReq: rpm-build-gnome >= 0.5

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: libgnomeui-devel >= 2.1.5
BuildPreReq: libdbus-glib-devel >= %dbus_ver
BuildPreReq: libhal-devel >= %hal_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libglade2-devel
BuildPreReq: libnautilus-devel
%{?_enable_notify:BuildPreReq: libnotify-devel >= 0.3.0}

BuildRequires: perl-XML-Parser libSM-devel

%description
The GNOME Volume Manager monitors volume-related events and responds
with user-specified policy. The GNOME Volume Manager can automount
hot-plugged drives, automount inserted removable media, autorun
programs, automatically play audio CDs and video DVDs, and automatically
import photos from a digital camera. The GNOME Volume Manager does this
entirely in user-space and without polling.

The GNOME Voume Manager sits at the top end of a larger picture that
aims to integrate the Linux system from the kernel on up through the
desktop and its applications.

%define _libexecdir %_libdir/libexec

%prep
%setup -q
%patch -p1

%build
%configure \
    %{subst_enable multiuser} \
    %{subst_enable automount} \
    --disable-schemas-install

%make_build

%install
%makeinstall

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%_libexecdir/*
%_desktopdir/*.desktop
%_datadir/%name
%_sysconfdir/xdg/autostart/%name.desktop
%config %gconf_schemasdir/*
%doc AUTHORS ChangeLog NEWS README TODO

%changelog
* Sun Dec 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt2
- disabled automount that Nautilus handles this.
- add compatibility patch for consolekit 0.3 (gentoo)

* Sat Oct 04 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0

* Sat Aug 11 2007 Alexey Rusakov <ktirf@altlinux.org> 2.17.0-alt2
- spec cleanup
- use macros for paths
- added libSM-devel to buildreqs

* Wed Dec 27 2006 Alexey Rusakov <ktirf@altlinux.org> 2.17.0-alt1
- new version (2.17.0)
- attempt to enable multiuser checks. Feel free to bug me.

* Fri Oct 13 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.0-alt1
- new version (2.15.0)
- updated dependencies

* Thu May 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.5.15-alt2
- enabled notify, as libnotify >= 0.3 has arrived to Sisyphus.

* Sun Apr 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.5.15-alt1
- new version (1.5.15)
- fixed insufficient dependencies.

* Wed Mar 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.5.14-alt1
- new version (1.5.14)
- removed Debian menu support.
- updated dependencies
- added 'notify' switch (now disabled, since libnotify 0.3.0 is not yet in Sisyphus)

* Fri Oct 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.5.4-alt1
- new version

* Wed Oct 05 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.5.2-alt1
- new version

* Sat Oct 01 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.5.1-alt1
- new version
- Removed excess buildreqs.

* Fri Jul 15 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.3.2-alt1
- 1.3.2

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Thu Mar 31 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Wed Feb 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Wed Jan 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Tue Jan 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- First build for Sisyphus.

